%define module_version 1.030
%define module_name WWW-Shorten-5gp
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(JSON/MaybeXS.pm) perl(Test/More.pm) perl(URI.pm) perl(WWW/Shorten.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm) perl(Cpanel/JSON/XS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.030
Release: alt1
Summary: Tiny 5.gp urls! How tiny is that?
Group: Development/Perl
License: perl
URL: https://github.com/p5-shorten/WWW-Shorten-5gp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A Perl interface to the web site 5.gp. 5gp simply maintains
a database of long URLs, each of which has a unique identifier.

5.gp has the benefit of being pretty reliable (so far) as well as
having a really tiny domain name. The domain name makes tinyurl.com
seem to be not so tiny at all!
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/W*

%changelog
* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.030-alt1
- regenerated from template by package builder

* Thu Jan 22 2015 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

